﻿using SharpChat.Packet;

namespace SharpChat.Commands {
    public class ChannelPasswordCommand : IUserCommand {
        public bool IsMatch(UserCommandContext ctx) {
            return ctx.NameEquals("pwd")
                || ctx.NameEquals("password");
        }

        public void Dispatch(UserCommandContext ctx) {
            if(!ctx.User.Permissions.HasFlag(UserPermissions.SetChannelPassword) || !ctx.Channel.IsOwner(ctx.User)) {
                ctx.Chat.SendTo(ctx.User, new CommandNotAllowedErrorPacket(ctx.Name));
                return;
            }

            string chanPass = string.Join(' ', ctx.Args).Trim();

            if(string.IsNullOrWhiteSpace(chanPass))
                chanPass = string.Empty;

            ctx.Chat.UpdateChannel(ctx.Channel, password: chanPass);
            ctx.Chat.SendTo(ctx.User, new ChannelPasswordChangedResponsePacket());
        }
    }
}
