﻿namespace SharpChat.Packet {
    public class ChannelNotFoundErrorPacket : SockChatTimedS2CPacket {
        private readonly string ChannelName;

        public ChannelNotFoundErrorPacket(string channelName) {
            ChannelName = channelName;
        }

        public override string Pack() {
            return string.Format(
                "2\t{0}\t-1\t1\fnochan\f{1}\t{2}\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                SockChatUtility.SanitiseChannelName(ChannelName),
                MessageId
            );
        }
    }
}
