﻿namespace SharpChat.Packet {
    public class MessageBroadcastPacket : SockChatTimedS2CPacket {
        private readonly string Body;

        public MessageBroadcastPacket(string body) {
            Body = body;
        }

        public override string Pack() {
            return string.Format(
                "2\t{0}\t-1\t0\fsay\f{1}\t{2}\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                SockChatUtility.SanitiseMessageBody(Body),
                MessageId
            );
        }
    }
}
