﻿using System;

namespace SharpChat.Packet {
    public class UserChannelJoinLogPacket : SockChatTimedS2CPacket {
        private readonly string UserName;

        public UserChannelJoinLogPacket(
            long messageId,
            DateTimeOffset timeStamp,
            string userName
        ) : base(messageId, timeStamp) {
            UserName = userName;
        }

        public override string Pack() {
            return string.Format(
                "7\t1\t{0}\t-1\tChatBot\tinherit\t\t0\fjchan\f{1}\t{2}\t0\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                UserName,
                MessageId
            );
        }
    }
}
