﻿namespace SharpChat.Packet {
    public class UserUpdateNotificationPacket : SockChatTimedS2CPacket {
        private readonly string PreviousName;
        private readonly string NewName;

        public UserUpdateNotificationPacket(string previousName, string newName) {
            PreviousName = previousName;
            NewName = newName;
        }

        public override string Pack() {
            return string.Format(
                "2\t{0}\t-1\t0\fnick\f{1}\f{2}\t{3}\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                PreviousName,
                NewName,
                MessageId
            );
        }
    }
}
